Page MenuHomePhabricator

Migrate Eranbot from Ubuntu Precise to Trusty
Closed, ResolvedPublic

Description

All  Tools/bots/webservices running on Ubuntu Precise 12.04 (jsub release=precise)
will no longer function starting on Monday, March 6, 2017, and will crash with an error.

Ubuntu Precise was released in April 2012, and support for it
(including security updates) will cease in April 2017. We need to shut
down all Precise hosts before the end of support date to ensure that
Tool Labs remains a secure platform.

You (username: niharika29) are registered as admin/maintainer for the following tools,
that are still on Precise: 
tools.eranbot

Please make sure to migrate these over to Trusty as early as possible, to
ensure continued operation.

The steps to migrate to Trusty, and more information about the Precise deprecation
are here - https://wikitech.wikimedia.org/wiki/Tools_Precise_deprecation#What_should_I_do.3F.

A quick tip for webservices - running `webservice stop; webservice start` -
will migrate it to trusty (webservice restart currently sticks).
Additional information on running precise jobs can be seen at our Precise tools dashboard here -
https://tools.wmflabs.org/precise-tools/

Do feel free to reach out with questions/help at #wikimedia-labs on IRC.

Event Timeline

Niharika created this task.Feb 3 2017, 1:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2017, 1:07 PM
Niharika updated the task description. (Show Details)Feb 3 2017, 1:08 PM
zhuyifei1999 closed this task as Resolved.Feb 3 2017, 3:15 PM
zhuyifei1999 assigned this task to eranroz.
zhuyifei1999 added a subscriber: zhuyifei1999.

This was done at T156386#2991565. Last seen = 2017-02-01 22:21

MarcoAurelio moved this task from Backlog to Done on the CopyPatrol board.Feb 4 2017, 10:06 AM